al_fixtan(3)

NAME

al_fixtan - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    al_fixed al_fixtan(al_fixed x);

DESCRIPTION

This function finds the tangent of a value using a lookup table. The input value must be a fixed point binary angle.

Example:

    al_fixed angle, res_a, res_b;
    float dif;
    angle = al_itofix(37);
    /* Prove that tan(angle) == sin(angle) / cos(angle). */
    res_a = al_fixdiv(al_fixsin(angle), al_fixcos(angle));
    res_b = al_fixtan(angle);
    dif = al_fixtof(al_fixsub(res_a, res_b));
    printf("Precision error: %f\n", dif);

RETURN VALUE

Returns the tangent of a fixed point binary format angle as a fixed point value.